---
id: objc
title: objc
hide_title: true
hide_table_of_contents: true
sidebar_label: objc
description: Dump Objective-C Optimization Info
---
## ipsw dyld objc

Dump Objective-C Optimization Info

```
ipsw dyld objc <DSC> [flags]
```

### Options

```
  -c, --class       Print the classes
  -h, --help        help for objc
  -i, --imp-cache   Print the imp-caches
  -p, --proto       Print the protocols
  -s, --sel         Print the selectors
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw dyld](/docs/cli/ipsw/dyld)	 - Parse dyld_shared_cache
* [ipsw dyld objc class](/docs/cli/ipsw/dyld/objc/class)	 - Get ObjC optimization class info
* [ipsw dyld objc proto](/docs/cli/ipsw/dyld/objc/proto)	 - Get ObjC optimization proto info
* [ipsw dyld objc sel](/docs/cli/ipsw/dyld/objc/sel)	 - Get ObjC optimization selector info

